
package nccloud.bs.hrkq.hrkq.aggbusi.ace.bp;

import nc.impl.pubapp.pattern.data.bill.BillUpdate;
import nc.vo.pub.VOStatus;
import nc.vo.hrkq.monthottime.AggMonthOtTimeVO;

/**
 * 标准单据审核的BP
 */
public class AceMonthOtTimeVOApproveBP {

        /**
         * 审核动作
         * 
         * @param vos
         * @param script
         * @return
         */
        public AggMonthOtTimeVO[] approve(AggMonthOtTimeVO[] clientBills,
                        AggMonthOtTimeVO[] originBills) {
                for (AggMonthOtTimeVO clientBill : clientBills) {
                        clientBill.getParentVO().setStatus(VOStatus.UPDATED);
                }
                BillUpdate<AggMonthOtTimeVO> update = new BillUpdate<AggMonthOtTimeVO>();
                AggMonthOtTimeVO[] returnVos = update.update(clientBills, originBills);
                return returnVos;
        }

}
